<html>
<head>
    <title>Label Test</title>
    <link rel="stylesheet" type="text/css" href="/testLabel.css"/>
    <script language="javascript" src="/dataTypes.js"></script>
    <script language="javascript" src="/deployJava.js"></script>

</head>
<body>
<script language="javascript">
    <!--

    var socket = "http://" + location.hostname + ":" + location.port;
    var appletLoaded = false;

    function doNewLabels() {
        var cmd = socket+"/api/label/applet";
//        loadApplet(document.getElementById("appletVersion").value);
        var rptApt = getReportApplet();
        rptApt.destroy();
        rptApt.printReport(cmd, "Test Printer", true);
        openStatus();
        return false;
    }

    window.onload = function () {
        var rptApt = getReportApplet();
        rptApt.destroy();
    }

    function getReportApplet() {
        var applet = getObj("peernetTest");
        return applet;
    }
    function openStatus() {
        var pd = getObjStyle("printDIV");
        pd.visibility = "visible";
        initialState = 0;
        getLabelStatus();
    }
    function closeStatus(timeout) {
        if (timeout > 0) {
            setTimeout("closeStatus(0)", timeout * 1000);
            return;
        }
        initialState = 0;
        var pd = getObjStyle("printDIV");
        pd.visibility = "hidden";
        var tt = getObj("tt");
        tt.innerHTML = "";
    }
    var initialState = 0;
    function getLabelStatus() {
        var stopCheck = false;
        var tt = getObj("tt");
        var stat = getReportApplet().getStatus();
        var state = "";
        initialState++;
        if (initialState == 1) {
            stat = 0;
            state = "Requesting Label Print";
        }
        if (initialState == 2)
            state = "Verifying Label Data";
        if (initialState > 2)
            state = "Sending to printer";
        if (stat & 1)
            state = "Fetching Labels";
        if (stat & 2)
            state = "Labels loaded";
        if (stat & 4) {
            state = "ERROR: Failed to load labels";
            closeStatus(4);
            stopCheck = true;
        }
        if (stat & 16)
            state = "Printing labels";
        if (stat & 32) {
            state = "Finished printing";
            closeStatus(1);
            stopCheck = true;
        }
        if (stat & 64) {
            state = "ERROR: Failed to print labels";
            closeStatus(4);
            stopCheck = true;
        }

        tt.innerHTML = state;
        if (!stopCheck)
            setTimeout("getLabelStatus()", 1000);
        return false;
    }

    function setAppletLoaded(isLoaded) {
        appletLoaded = isLoaded;
        if (!appletLoaded) {
            var meElement = document.getElementById("appletContainer");
            if (meElement != null) {
                meElement = meElement;
                meElement.innerHTML = "";
            }
        }
    }

    function runApplet(func) {
        var meElement = document.getElementById("appletContainer");
        if (meElement == null) {
            meElement = document.createElement('appletContainerElement')
            meElement.id = "appletContainer";
        }
        var writeTo = meElement,
                oldwrite = document.write,
                content = '';

        document.write = function (text) {
            content += text;
        }
        func();
        writeTo.innerHTML += content;
        document.write = oldwrite;
        document.body.appendChild(writeTo);
    }


//    TODO: TRY EMBEDDING AS HTML
    function loadApplet(appletVersion) {
        if (!appletLoaded) {
            appletLoaded = true;
            runApplet(function () {
                deployJava.runApplet({
                            name: "RPTApplet",
                            id: "RPTApplet",
                            border: "false",
                            MAYSCRIPT: "true",
                            scriptable: "true",
                            codebase: "/applet/",
                            archive: appletVersion,
                            code: "com.peernet.PeernetReportApplet1.PeernetReportApplet1.class",
                            width: "1",
                            height: "1"
                        },
                        {
                            MAYSCRIPT: "true",
                            scriptable: "true",
                            USEPRINTERRESOLUTION: "false",
                            DEBUG: "true"
                        },
                        "1.5");
            });
        }
    }
    -->
</script>
<div id="printDIV">
    <div id="pdtitle">Label Printing Status</div>
    <br>Please wait while labels are printed<br>

    <div id="tt">Please wait - printing</div>
</div>
<form id="pdfForm" action="/api/label/pdf" target="_self"></form>
<form id="pngForm" action="/api/label/png" target="_self"></form>
Download a PDF: <button type="submit" form="pdfForm" value="Submit">Test PDF</button>
<br/>
Download a zip of PNG files: <button type="submit" form="pngForm" value="Submit">Test PNG</button>
<br/>
Select Peernet Applet Version: <select id="appletVersion" onchange="setAppletLoaded(false)">
    <option value="applet-2.6.0.jar">Peernet Applet v2.6.0</option>
    <option value="applet-3.0.079.jar">Peernet Applet v3.0.079</option>
    <option value="applet-3.0.091.jar">Peernet Applet v3.0.091</option>
    <option value="applet-3.0.093.jar">Peernet Applet v3.0.093</option>
    <option value="PEERNETReportsApplet3.0.093_beta.jar">Peernet Applet v3.0.093_beta</option>
</select>
<button type="button" onclick="return doNewLabels(); return false;">Test Applet</button>

<APPLET id="peernetTest" NAME="PEERNETReportsApplet1" ARCHIVE="applet/PEERNETReportsApplet3.0.093_beta.jar"
        CODE="com.peernet.PeernetReportApplet1.PeernetReportApplet1.class"  width="414" height="521">
    <PARAM NAME="PREVIEW" VALUE="false">
    <PARAM NAME="DEBUG" VALUE="true">
    <PARAM NAME="USEPRINTERRESOLUTION" VALUE="false">
    <PARAM NAME="MAYSCRIPT" VALUE="false">
    <PARAM NAME="scriptable" VALUE="false">
    PEERNET Reports Applet requires Sun Java Plugin 1.4 or better!
</APPLET>
</body>
</html>